org.jbpm.workflow.instance

## Interface NodeInstance

- All Superinterfaces:
    org.kie.api.runtime.process.NodeInstance

      public interface NodeInstance
      extends org.kie.api.runtime.process.NodeInstance

  Represents a node instance in a RuleFlow. This is the runtime counterpart of a node, containing all runtime state. Node instance classes also contain the logic on what to do when it is being triggered (start executing) or completed (end of execution).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NodeInstance.CancelType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `METADATA_WRAP_ASYNC_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `void` | `cancel(NodeInstance.CancelType type)`
    `int` | `getLevel()`
    `org.kie.api.definition.process.Node` | `getNode()`
    `int` | `getSlaCompliance()`
    `Date` | `getSlaDueDate()`
    `Long` | `getSlaTimerId()`
    `Date` | `getTriggerTime()`
    `ContextInstance` | `resolveContextInstance(String contextId, Object param)`
    `void` | `setDynamicParameters(Map<String,Object> dynamicParameters)`
    `void` | `trigger(org.kie.api.runtime.process.NodeInstance from, String type)`

    - ### Methods inherited from interface org.kie.api.runtime.process.NodeInstance

      `getId, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getVariable, setVariable`

- - ### Field Detail

    - #### METADATA_WRAP_ASYNC_NODE

          static final String METADATA_WRAP_ASYNC_NODE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### trigger

          void trigger(org.kie.api.runtime.process.NodeInstance from,
                       String type)

    - #### cancel

          void cancel()

    - #### cancel

          void cancel(NodeInstance.CancelType type)

    - #### getNode

          org.kie.api.definition.process.Node getNode()

      Specified by:
        `getNode` in interface `org.kie.api.runtime.process.NodeInstance`

    - #### resolveContextInstance

          ContextInstance resolveContextInstance(String contextId,
                                                 Object param)

    - #### getLevel

          int getLevel()

    - #### setDynamicParameters

          void setDynamicParameters(Map<String,Object> dynamicParameters)

    - #### getSlaCompliance

          int getSlaCompliance()

    - #### getSlaDueDate

          Date getSlaDueDate()

    - #### getSlaTimerId

          Long getSlaTimerId()

    - #### getTriggerTime

          Date getTriggerTime()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.